FUNCTION::PRINTK(3stap)

NAME
function::printk - Send a message to the kernel trace buffer

SYNOPSIS

    printk(level:long,msg:string)

ARGUMENTS

level
    an integer for the severity level (0=KERN_EMERG ... 7=KERN_DEBUG)

msg
    The formatted message string

DESCRIPTION

Print a line of text to the kernel dmesg/console with the given severity. An implicit end-of-line is added. This function may not be safely called from all kernel probe contexts, so is restricted to guru mode only.

SEE ALSO
tapset::logging(3stap)